org.jasypt.normalization

## Class Normalizer

- Object
- - org.jasypt.normalization.Normalizer

-     public final class Normalizer
      extends Object

  Utility for the normalization of Unicode Strings to NFC form.

  This class tries to use the `java.text.Normalizer` class in JDK 1.6 first and, if it the class is not found (Java version < 6), then it will use the ICU4J `com.ibm.icu.text.Normalizer` class (in this case, a `ClassNotFoundException` will be thrown if ICU4J is not present).

  Since:
    1.5
  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char[]` | `normalizeToNfc(char[] message)` Normalize Unicode-input message to NFC.
    `static String` | `normalizeToNfc(String message)` Normalize Unicode-input message to NFC.

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### normalizeToNfc

          public static String normalizeToNfc(String message)

      Normalize Unicode-input message to NFC.

      This algorithm will first try to normalize the input's UNICODE using icu4j's `com.ibm.icu.text.Normalizer` and, if it is not present at the classpath, will try to use `java.text.Normalizer`. If this is not present either (this class appeared in JavaSE 6), it will raise an exception.

      Parameters:
        `message` - the message to be normalized
      Returns:
        the result of the normalization operation

    - #### normalizeToNfc

          public static char[] normalizeToNfc(char[] message)

      Normalize Unicode-input message to NFC.

      This algorithm will first try to normalize the input's UNICODE using icu4j's `com.ibm.icu.text.Normalizer` and, if it is not present at the classpath, will try to use `java.text.Normalizer`. If this is not present either (this class appeared in JavaSE 6), it will raise an exception.

      Parameters:
        `message` - the message to be normalized
      Returns:
        the result of the normalization operation

Copyright © 2019 The JASYPT team. All rights reserved.